diff --git a/components/rootfs/axiom-ubuntu-xenial/targetroot-remote-inst.sh b/components/rootfs/axiom-ubuntu-xenial/targetroot-remote-inst.sh
index 27a6dfd..d08e029 100755
--- a/components/rootfs/axiom-ubuntu-xenial/targetroot-remote-inst.sh
+++ b/components/rootfs/axiom-ubuntu-xenial/targetroot-remote-inst.sh
@@ -42,9 +42,9 @@ file_download()
 	ping $server -c 1 >> /dev/null
 	exist=$?
 	if [ ${exist} -ne 0 ]; then
-		[ "$v" ] && echo "${server} - Server Unavailable"
+		[ "$v" ] && echo "${server} - Server seems unavailable, trying anyway..."
 		rc=$exist
-	else
+	fi
 		dstfile=${PRJ_ROOTFS}/${dst}
 		if [ -d ${dstfile} ]; then
 			dstfile=${dstfile}/`basename ${src}`
@@ -56,7 +56,7 @@ file_download()
 		passwd=$2
 		wget ${src} -O ${dstfile} --user $user --password ${passwd} --no-check-certificate  --timeout=10
 		rc=$?
-	fi
+
 	return $rc
 }
 
@@ -69,9 +69,9 @@ file_target_download()
 	ping $server -c 1 >> /dev/null
 	exist=$?
 	if [ ${exist} -ne 0 ]; then
-		[ "$v" ] && echo "${server} - Server Unavailable"
+		[ "$v" ] && echo "${server} - Server seems unavailable, trying anyway..."
 		rc=$exist
-	else
+	fi
 		if [ -d ${dst} ]; then
 			dstfile=${TARGETDIR}${dst}/`basename ${src}`
 		else
@@ -85,7 +85,7 @@ file_target_download()
 		echo "+++++aaa> $user $passwd"
 		wget ${src} -O ${dstfile} --user $user --password ${passwd} --no-check-certificate  --timeout=10
 		rc=$?
-	fi
+
 	return $rc
 }
 
